### Method

# Gdk Clipboard read_text_finish

#### Declaration [src]

    char*
    gdk_clipboard_read_text_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See gdk_clipboard_read_text_async().

#### Parameters

`result` | `GAsyncResult*`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `char*`
| A new string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.